<template>
	<a-card>
		<a-list item-layout="vertical" size="large" :pagination="pagination" :data-source="listData">
			<template #renderItem="{ item }">
				<a-list-item key="item.title">
					<a-list-item-meta :description="item.extendName">
						<template #title>{{ item.fileName }}</template>
					</a-list-item-meta>
					{{ item.filePath }}
				</a-list-item>
			</template>
		</a-list>
	</a-card>
</template>
<script setup>
	import classCentre from '@/api/student/classCentre'
	const listData = ref([])
	const pagination = ref({
		current: 1,
		onChange: (page) => {
			getList(page)
		},
		pageSize: 10
	})
	const getList = (current) => {
		classCentre
			.footprintList({
				current: current ? current : pagination.value.current,
				size: pagination.value.pageSize
			})
			.then((data) => {
				listData.value = data.records
			})
	}
	getList()
</script>
<style scoped>
	.index-message-list {
		overflow: auto;
	}
</style>
